package com.gct.tools.etlcamelhuge;


import com.gct.tools.etlcamelhuge.camelconfig.TianAnDatabaseProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableAsync;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@SpringBootApplication
@EnableSwagger2
@EnableAsync
@EnableConfigurationProperties({TianAnDatabaseProperties.class})
public class EtlCamelHugeApplication {
    public static void main(String[] args) {
        SpringApplication.run(EtlCamelHugeApplication.class, args);
    }
}
